# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atlas/api/report.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='atlas/api/report.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x16\x61tlas/api/report.proto\x12\x07weclikd\"\xaa\x01\n\x06Report\x12(\n\x04type\x18\x01 \x01(\x0e\x32\x1a.weclikd.Report.ReportType\x12\x17\n\x0foff_topic_cliks\x18\x02 \x03(\t\x12\x18\n\x10off_topic_topics\x18\x03 \x03(\t\"C\n\nReportType\x12\x0b\n\x07UNKNOWN\x10\x00\x12\r\n\tOFF_TOPIC\x10\x01\x12\x0f\n\x0bLOW_QUALITY\x10\x02\x12\x08\n\x04HATE\x10\x03\"h\n\x08Severity\x12\x0c\n\x04\x61sdf\x18\x01 \x01(\x05\"N\n\x0cSeverityType\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0b\n\x07WARNING\x10\x01\x12\x11\n\rTEMPORARY_BAN\x10\x02\x12\x11\n\rPERMANENT_BAN\x10\x03\"?\n\x07Reports\x12\x11\n\toff_topic\x18\x01 \x01(\r\x12\x13\n\x0blow_quality\x18\x02 \x01(\r\x12\x0c\n\x04hate\x18\x03 \x01(\rb\x06proto3'
)



_REPORT_REPORTTYPE = _descriptor.EnumDescriptor(
  name='ReportType',
  full_name='weclikd.Report.ReportType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='OFF_TOPIC', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='LOW_QUALITY', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='HATE', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=139,
  serialized_end=206,
)
_sym_db.RegisterEnumDescriptor(_REPORT_REPORTTYPE)

_SEVERITY_SEVERITYTYPE = _descriptor.EnumDescriptor(
  name='SeverityType',
  full_name='weclikd.Severity.SeverityType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='WARNING', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='TEMPORARY_BAN', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='PERMANENT_BAN', index=3, number=3,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=234,
  serialized_end=312,
)
_sym_db.RegisterEnumDescriptor(_SEVERITY_SEVERITYTYPE)


_REPORT = _descriptor.Descriptor(
  name='Report',
  full_name='weclikd.Report',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.Report.type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='off_topic_cliks', full_name='weclikd.Report.off_topic_cliks', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='off_topic_topics', full_name='weclikd.Report.off_topic_topics', index=2,
      number=3, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _REPORT_REPORTTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=36,
  serialized_end=206,
)


_SEVERITY = _descriptor.Descriptor(
  name='Severity',
  full_name='weclikd.Severity',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='asdf', full_name='weclikd.Severity.asdf', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _SEVERITY_SEVERITYTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=208,
  serialized_end=312,
)


_REPORTS = _descriptor.Descriptor(
  name='Reports',
  full_name='weclikd.Reports',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='off_topic', full_name='weclikd.Reports.off_topic', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='low_quality', full_name='weclikd.Reports.low_quality', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='hate', full_name='weclikd.Reports.hate', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=314,
  serialized_end=377,
)

_REPORT.fields_by_name['type'].enum_type = _REPORT_REPORTTYPE
_REPORT_REPORTTYPE.containing_type = _REPORT
_SEVERITY_SEVERITYTYPE.containing_type = _SEVERITY
DESCRIPTOR.message_types_by_name['Report'] = _REPORT
DESCRIPTOR.message_types_by_name['Severity'] = _SEVERITY
DESCRIPTOR.message_types_by_name['Reports'] = _REPORTS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Report = _reflection.GeneratedProtocolMessageType('Report', (_message.Message,), {
  'DESCRIPTOR' : _REPORT,
  '__module__' : 'atlas.api.report_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Report)
  })
_sym_db.RegisterMessage(Report)

Severity = _reflection.GeneratedProtocolMessageType('Severity', (_message.Message,), {
  'DESCRIPTOR' : _SEVERITY,
  '__module__' : 'atlas.api.report_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Severity)
  })
_sym_db.RegisterMessage(Severity)

Reports = _reflection.GeneratedProtocolMessageType('Reports', (_message.Message,), {
  'DESCRIPTOR' : _REPORTS,
  '__module__' : 'atlas.api.report_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.Reports)
  })
_sym_db.RegisterMessage(Reports)


# @@protoc_insertion_point(module_scope)
